var panel = new Panel
var panelScreen = panel.screen
var freeEdges = {"bottom": true, "top": true, "left": true, "right": true}

for (i = 0; i < panelIds.length; ++i) {
    var tmpPanel = panelById(panelIds[i])
    if (tmpPanel.screen == panelScreen) {
        // Ignore the new panel
        if (tmpPanel.id != panel.id) {
            freeEdges[tmpPanel.location] = false;
        }
    }
}

if (freeEdges["bottom"] == true) {
    panel.location = "bottom";
} else if (freeEdges["top"] == true) {
    panel.location = "top";
} else if (freeEdges["left"] == true) {
    panel.location = "left";
} else if (freeEdges["right"] == true) {
    panel.location = "right";
} else {
    // There is no free edge, so leave the default value
    panel.location = "top";
}

panel.height = gridUnit * 2

var kicker = panel.addWidget("org.kde.plasma.kicker")
kicker.currentConfigGroup = ["Shortcuts"]
kicker.writeConfig("global", "Alt+F1")

var minimizeall = panel.addWidget("org.kde.plasma.minimizeall")
minimizeall.currentConfigGroup = ["Shortcuts"]
minimizeall.writeConfig("global", "Meta+M")

var dolphin = panel.addWidget("org.kde.plasma.icon")
dolphin.currentConfigGroup = ["General"]
dolphin.writeConfig("applicationName", "Dolphin")
dolphin.writeConfig("iconName", "system-file-manager")
dolphin.writeConfig("url","file:///usr/share/applications/kde5/org.kde.dolphin.desktop")

var libreoffice = panel.addWidget("org.kde.plasma.icon")
libreoffice.currentConfigGroup = ["General"]
libreoffice.writeConfig("applicationName", "LibreOffice Writer")
libreoffice.writeConfig("iconName", "libreoffice-writer")
libreoffice.writeConfig("url","file:///usr/share/applications/libreoffice-writer.desktop")

var firefox = panel.addWidget("org.kde.plasma.icon")
firefox.currentConfigGroup = ["General"]
firefox.writeConfig("applicationName", "Firefox")
firefox.writeConfig("iconName", "firefox")
firefox.writeConfig("url","file:///usr/share/applications/firefox.desktop")

var taskmanager = panel.addWidget("org.kde.plasma.taskmanager")
taskmanager.currentConfigGroup = ["General"]
taskmanager.writeConfig("groupingStrategy", "0")
taskmanager.writeConfig("sortingStrategy", "0")

panel.addWidget("org.kde.plasma.systemtray")
panel.addWidget("org.kde.plasma.digitalclock")

